org.keycloak.representations.idm

## Class UserRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserRepresentation

-     public class UserRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<String>>` | `applicationRoles`
    `protected Map<String,String>` | `attributes`
    `protected List<CredentialRepresentation>` | `credentials`
    `protected String` | `email`
    `protected boolean` | `emailVerified`
    `protected boolean` | `enabled`
    `protected String` | `federationLink`
    `protected String` | `firstName`
    `protected String` | `id`
    `protected String` | `lastName`
    `protected List<String>` | `realmRoles`
    `protected List<String>` | `requiredActions`
    `protected String` | `self`
    `protected List<SocialLinkRepresentation>` | `socialLinks`
    `protected boolean` | `totp`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserRepresentation` | `attribute(String name, String value)`
    `UserRepresentation` | `credential(String type, String value)`
    `Map<String,List<String>>` | `getApplicationRoles()`
    `Map<String,String>` | `getAttributes()`
    `List<CredentialRepresentation>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `List<String>` | `getRealmRoles()`
    `List<String>` | `getRequiredActions()`
    `String` | `getSelf()`
    `List<SocialLinkRepresentation>` | `getSocialLinks()`
    `String` | `getUsername()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`
    `void` | `setApplicationRoles(Map<String,List<String>> applicationRoles)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setCredentials(List<CredentialRepresentation> credentials)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFederationLink(String federationLink)`
    `void` | `setFirstName(String firstName)`
    `void` | `setId(String id)`
    `void` | `setLastName(String lastName)`
    `void` | `setRealmRoles(List<String> realmRoles)`
    `void` | `setRequiredActions(List<String> requiredActions)`
    `void` | `setSelf(String self)`
    `void` | `setSocialLinks(List<SocialLinkRepresentation> socialLinks)`
    `void` | `setTotp(boolean totp)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### self

          protected String self

    - #### id

          protected String id

    - #### username

          protected String username

    - #### enabled

          protected boolean enabled

    - #### totp

          protected boolean totp

    - #### emailVerified

          protected boolean emailVerified

    - #### firstName

          protected String firstName

    - #### lastName

          protected String lastName

    - #### email

          protected String email

    - #### federationLink

          protected String federationLink

    - #### attributes

          protected Map<String,String> attributes

    - #### credentials

          protected List<CredentialRepresentation> credentials

    - #### requiredActions

          protected List<String> requiredActions

    - #### socialLinks

          protected List<SocialLinkRepresentation> socialLinks

    - #### realmRoles

          protected List<String> realmRoles

    - #### applicationRoles

          protected Map<String,List<String>> applicationRoles

  - ### Constructor Detail

    - #### UserRepresentation

          public UserRepresentation()

  - ### Method Detail

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isTotp

          public boolean isTotp()

    - #### setTotp

          public void setTotp(boolean totp)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### attribute

          public UserRepresentation attribute(String name,
                                     String value)

    - #### getCredentials

          public List<CredentialRepresentation> getCredentials()

    - #### setCredentials

          public void setCredentials(List<CredentialRepresentation> credentials)

    - #### credential

          public UserRepresentation credential(String type,
                                      String value)

    - #### getRequiredActions

          public List<String> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(List<String> requiredActions)

    - #### getSocialLinks

          public List<SocialLinkRepresentation> getSocialLinks()

    - #### setSocialLinks

          public void setSocialLinks(List<SocialLinkRepresentation> socialLinks)

    - #### getRealmRoles

          public List<String> getRealmRoles()

    - #### setRealmRoles

          public void setRealmRoles(List<String> realmRoles)

    - #### getApplicationRoles

          public Map<String,List<String>> getApplicationRoles()

    - #### setApplicationRoles

          public void setApplicationRoles(Map<String,List<String>> applicationRoles)

    - #### getFederationLink

          public String getFederationLink()

    - #### setFederationLink

          public void setFederationLink(String federationLink)

Copyright © 2014. All Rights Reserved.